<?php
defined('_JEXEC') or die('Restricted access');
jimport('joomla.plugin.helper');

class plgJshoppingCheckoutAddon_extra_checkbox extends JPlugin{
	function __construct(&$subject, $config){
		parent::__construct($subject, $config);
	}
    
    function onBeforeDisplayCheckoutStep2View(&$view){
        $addon_config = $this->getAddonParams();
        $view->_tmp_ext_html_address_end .= '<div class="extra_checkbox"> <input id="extra_checkbox" type = "checkbox" name = "extra_checkbox" value="1"/><label for="extra_checkbox">'.$addon_config['extra_checkbox_text'].'</label></div>';
    }
    
    function onBeforeSaveCheckoutStep2(&$adv_user, &$user, &$cart){
        $extra_checkbox = JRequest::getInt('extra_checkbox');
		$addon_config = $this->getAddonParams();
        if ($extra_checkbox) {
            $session = JFactory::getSession();
            $session->set("extra_checkbox", "1");
        }
		if ($addon_config['required'] && !$extra_checkbox){
			JError::raiseWarning('', $addon_config['extra_checkbox_text']." "._JSHOP_REQUIRED);
			$app = JFactory::getApplication();			
			$app->redirect(SEFLink('index.php?option=com_jshopping&controller=checkout&task=2', 1));			
		}
    }

	private function getAddonParams(){
		$addon = JTable::getInstance('addon', 'jshop');
        $addon->loadAlias('addon_extra_checkbox');
        return $addon->getParams();
	}
}